Agent Session Files
List session files
Returns files and directories at the specified path in the session sandbox. The response includes only the immediate children of the target directory and defaults to the session home directory when no path is supplied.
パス パラメーター
agent_name
string
必須
The name of the agent.
agent_session_id
string
必須
The session ID.
クエリ パラメーター
path
string
The directory path to list, relative to the session home directory. Defaults to the home directory if not provided.
limit
integer
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
order
enum
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
after
string
A cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
before
string
A cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.
api-version
string
必須
The API version to use for this operation.
応答
The request has succeeded.
本文
first_id
string
The first ID represented in this list.
last_id
string
The last ID represented in this list.
has_more
boolean
必須
A value indicating whether there are additional values available not captured in this list.
path
string
必須
The path that was listed, relative to the session home directory.
entries
SessionDirectoryEntry[]
必須
The directory entries.
要求
GET /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json